
Application: gvSIG desktop - gvSIG bugs #3968
Error loading SHP layer
12/30/2015 10:15 AM - Cesar Martinez Izquierdo

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

gvSIG fails to load the attached SHP layer. I attach the log.
Qgis correctly loads the same layer. The character encoding of the DBF is latin1 (iso-8859-1).

History
#1 - 12/30/2015 01:27 PM - Antonio Falciano

Hi Cesar,
the issue is caused by: java.lang.RuntimeException: Name descriptor Area duplicated.
This is part of the output of ogrinfo applied to CastLeon.shp:

OBJECTID: Integer (9.0)
PERIMETER: Real (18.6)
P20099_: Integer (9.0)
P20099_ID: Integer (9.0
NOMBRE: String (85.0)
SHAPE_LENG: Real (18.6)
SHAPE_AREA: Real (18.6)
PROV: String (2.0)
COM: String (2.0)
DPROV: String (4.0)
PROVINCIA: Real (16.0)
Area: Real (13.6)
Perimetro: Real (13.6)
Area: Real (13.6)
Perimetro: Real (13.6)
Area: Real (13.6)
Perimetro: Real (13.6)
Area: Real (13.6)
Perimetro: Real (13.6)
Area: Real (13.6)
Perimetro: Real (13.6)
Area: Real (13.6)
Perimetro: Real (13.6)
Area: Real (13.6)
Perimetro: Real (13.6)
Area: Real (13.6)
Perimetro: Real (13.6)
Area: Real (13.6)
Perimetro: Real (13.6)
Area: Real (13.6)
Perimetro: Real (13.6)
Area: Real (13.6)
Perimetro: Real (13.6)
Area: Real (13.6)
Perimetro: Real (13.6)

... there are a lot of duplicated field names (Area and Perimetro).
Shapefiles with duplicate field names should not be accepted by a robust GIS application, but they should be managed in a more elegant way. For
instance, gvSIG could warn the user about the presence of duplicated fields and suggest him to edit the alphanumerical data in a right way.

#2 - 12/30/2015 06:07 PM - Antonio Falciano

Same issue also in gvSIG 2.3 build 2413. Maybe a good strategy could be to skip the duplicated fields and warn the user at the same time.

Duplicated ticket of #2164

#3 - 07/25/2016 07:37 PM - Álvaro Anguix
- Status changed from New to Closed

Tested in 2438. A message appears:
"Duplicated field name 'Area'. Check 'Allow duplicated field names' in layer properties in add layer dialog. The layer will become read only" 
And if you activate the check, the layer is loaded

Files
cyl.zip 92.4 KB 12/30/2015 Cesar Martinez Izquierdo
gvSIG.log 367 KB 12/30/2015 Cesar Martinez Izquierdo
